package com.sillycycle.bagleyd.hexagons;

/*
 * @(#)HexagonsScores.java
 *
 * Copyright 2003 - 2014  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */


/**
 * The <code>HexagonsScores</code> class holds the high scores for the
 * <code>HexagonsFrame</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/puzzles.html
 */

public class HexagonsScores {
	private HexagonsScores() {
	}

	static final int[][][] PUZZLE_SCORES = {{{
  0, 3, 12, -1, -1, -1, -1, -1, -1, -1
	}, {
  1, 10, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  2, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  3, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  4, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  5, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  6, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  7, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  8, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  9, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}}, {{
  -1, 2, 12, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, 10, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, 50, 251, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}}
};
}
/* From random position, no longer used
	static final int[][][] PUZZLE_SCORES = {{{
  0, 1, 19, 53, -1, -1, -1, -1, -1, -1
	}, {
  0, 4, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, -1, 81, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, -1, -1, 230, -1, -1, -1, -1, -1, -1
	}, {
  0, -1, -1, -1, 695, -1, -1, -1, -1, -1
	}, {
  0, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  0, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}}, {{
  -1, 0, 1, 230, -1, -1, -1, -1, -1, -1
	}, {
  -1, 0, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, 251, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, 1090, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, 1805, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}, {
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
	}}
}; */
